"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.replaceHoverToActiveInSelector = exports.removeHoverFromSelector = void 0;

var _constants = require("./constants");

// function isRuleHasHover(rule) {
//   return isSelectorHasHover(rule.selector);
// }
function generateReplacer(baseStr, replaceStr) {
  return (inputStr = '') => inputStr.replaceAll(baseStr, replaceStr);
}

const removeHoverFromSelector = generateReplacer(_constants.HOVER_NOTATION, '');
exports.removeHoverFromSelector = removeHoverFromSelector;
const replaceHoverToActiveInSelector = generateReplacer(_constants.HOVER_NOTATION, ':active');
exports.replaceHoverToActiveInSelector = replaceHoverToActiveInSelector;