"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertUnicode = convertUnicode;

function convertUnicode(str) {
  const unicodeRegex = /\\u([a-fA-F0-9]{4})/g;
  const converted = str.replace(unicodeRegex, (match, hex) => {
    return String.fromCharCode(parseInt(hex, 16));
  });
  return converted;
}