"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configCustomAttributesPlugin = configCustomAttributesPlugin;

var _custom_attribute_plugin = require("../custom_plugins/custom_attribute_plugin");

function configCustomAttributesPlugin(options) {
  const {
    customAttributes
  } = options;

  if (customAttributes.enable) {
    return new _custom_attribute_plugin.CustomAttributesPlugin(customAttributes);
  }

  return null;
}